# Pin Configuration for Flow Control Key

> Pins a processing configuration for a specific flow-control key.

## Endpoint

`POST https://qstash-{region}.upstash.io/v2/flowControl/{flowControlKey}/pin`

## Parameters

- `flowControlKey` (path, string, required): The flow-control key for which the configuration will be pinned.
- `parallelism` (query, integer): The parallelism value to apply to the flow-control key.
- `rate` (query, integer): The rate value to apply to the flow-control key.
- `period` (query, integer): The period value to apply to the flow-control key, in seconds.

## Responses

### 200 - The flow-control key configuration has been pinned.

### 400 - Bad request. Returned when the flow-control key is not provided, or when the parallelism, rate or period values are invalid.

- `error` (string, required): Error message

## cURL

```bash
curl --request POST \
  --url https://qstash-{region}.upstash.io/v2/flowControl/{flowControlKey}/pin \
  --header 'Authorization: Bearer <token>'
```
